x11/gnome-desktop - The NetBSD Packages Collection

Common GNOME2 desktop files and libgnome-desktop library

This package contains the libgnome-desktop library which contains
APIs that really belong in libgnome[ui] but have not seen enough
testing or development to be considered stable.
Use at your own risk.

Also contained here are documents installed as part of the core
GNOME distribution, e.g. the GPL, GNOME's .desktop files, the
gnome-about program, some manpages and GNOME's core graphics
files and icons.

Build dependencies

devel/gettext-m4 pkgtools/x11-links textproc/gnome-doc-utils x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/libtool-base textproc/intltool devel/gmake devel/pkgconf

Runtime dependencies

lang/perl5 devel/GConf devel/glib2 devel/glib2 textproc/rarian x11/gtk2 x11/gtk2 x11/liboldXrandr x11/liboldXrandr x11/startup-notification lang/python38 lang/python38 devel/GConf devel/glib2 x11/gtk2 x11/liboldXrandr x11/startup-notification

Available binary packages

aarch64:gnome-desktop-2.32.1nb40.tgz(NetBSD 9.0)
aarch64:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
aarch64:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
alpha:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
earmv6hf:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
earmv6hf:gnome-desktop-2.32.1nb40.tgz(NetBSD 9.0)
earmv6hf:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
earmv6hf:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
earmv7hf:gnome-desktop-2.32.1nb44.tgz(NetBSD 8.0)
earmv7hf:gnome-desktop-2.32.1nb39.tgz(NetBSD 8.0)
earmv7hf:gnome-desktop-2.32.1nb40.tgz(NetBSD 8.0)
earmv7hf:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
earmv7hf:gnome-desktop-2.32.1nb39.tgz(NetBSD 9.0)
earmv7hf:gnome-desktop-2.32.1nb40.tgz(NetBSD 9.0)
earmv7hf:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
earmv7hf:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
i386:gnome-desktop-2.32.1nb40.tgz(NetBSD 8.0)
i386:gnome-desktop-2.32.1nb42.tgz(NetBSD 8.0)
i386:gnome-desktop-2.32.1nb44.tgz(NetBSD 8.0)
i386:gnome-desktop-2.32.1nb40.tgz(NetBSD 9.0)
i386:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
i386:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
mips64eb:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
mips64eb:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
powerpc:gnome-desktop-2.32.1nb40.tgz(NetBSD 8.0)
powerpc:gnome-desktop-2.32.1nb42.tgz(NetBSD 8.0)
powerpc:gnome-desktop-2.32.1nb44.tgz(NetBSD 8.0)
powerpc:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
powerpc:gnome-desktop-2.32.1nb40.tgz(NetBSD 9.0)
powerpc:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
sparc64:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
sparc64:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
sparc:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb43.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb42.tgz(NetBSD 8.0)
x86_64:gnome-desktop-2.32.1nb40.tgz(NetBSD 8.0)
x86_64:gnome-desktop-2.32.1nb44.tgz(NetBSD 8.0)
x86_64:gnome-desktop-2.32.1nb40.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb42.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)
x86_64:gnome-desktop-2.32.1nb44.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]